libppix-editortools-perl_0.18-1_all.deb


Advertisement

Description

libppix-editortools-perl - set of tools for editors to use for manipulating Perl via PPI

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libppix-editortools-perl
Package version 0.18
Package release 1
Package architecture all
Package type deb
Installed size 116 B
Download size 41.08 KB
Official Mirror ftp.br.debian.org
PPIx::EditorTools is a set of tools designed to be used by IDEs and Editors
to manipulate Perl code. It provides base classes and utility methods for
manipulating Perl via PPI.

Alternatives

Package Version Architecture Repository
libppix-editortools-perl_0.18-1_all.deb 0.18 all Debian Main
libppix-editortools-perl - - -

Requires

Name Value
libclass-xsaccessor-perl -
libppi-perl >= 1.215
libtry-tiny-perl >= 0.11
perl -

Download

Type URL
Binary Package libppix-editortools-perl_0.18-1_all.deb
Source Package libppix-editortools-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libppix-editortools-perl deb package:
    # sudo apt-get install libppix-editortools-perl

Files

Path
/usr/share/doc/libppix-editortools-perl/changelog.Debian.gz
/usr/share/doc/libppix-editortools-perl/changelog.gz
/usr/share/doc/libppix-editortools-perl/copyright
/usr/share/man/man3/PPIx::EditorTools.3pm.gz
/usr/share/man/man3/PPIx::EditorTools::FindUnmatchedBrace.3pm.gz
/usr/share/man/man3/PPIx::EditorTools::FindVariableDeclaration.3pm.gz
/usr/share/man/man3/PPIx::EditorTools::IntroduceTemporaryVariable.3pm.gz
/usr/share/man/man3/PPIx::EditorTools::Lexer.3pm.gz
/usr/share/man/man3/PPIx::EditorTools::Outline.3pm.gz
/usr/share/man/man3/PPIx::EditorTools::RenamePackage.3pm.gz
/usr/share/man/man3/PPIx::EditorTools::RenamePackageFromPath.3pm.gz
/usr/share/man/man3/PPIx::EditorTools::RenameVariable.3pm.gz
/usr/share/man/man3/PPIx::EditorTools::ReturnObject.3pm.gz
/usr/share/perl5/PPIx/EditorTools.pm
/usr/share/perl5/PPIx/EditorTools/FindUnmatchedBrace.pm
/usr/share/perl5/PPIx/EditorTools/FindVariableDeclaration.pm
/usr/share/perl5/PPIx/EditorTools/IntroduceTemporaryVariable.pm
/usr/share/perl5/PPIx/EditorTools/Lexer.pm
/usr/share/perl5/PPIx/EditorTools/Outline.pm
/usr/share/perl5/PPIx/EditorTools/RenamePackage.pm
/usr/share/perl5/PPIx/EditorTools/RenamePackageFromPath.pm
/usr/share/perl5/PPIx/EditorTools/RenameVariable.pm
/usr/share/perl5/PPIx/EditorTools/ReturnObject.pm

Changelog

2012-10-23 - Florian Schlichting <fschlich@zedat.fu-berlin.de>
libppix-editortools-perl (0.18-1) unstable; urgency=low
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Dominique Dumont ]
* Imported Upstream version 0.17.
[ Florian Schlichting ]
* Imported Upstream version 0.18.
* Bumped Standards-Version to 3.9.4 (no changes).
* Bumped years for inc/Module/Install copyright.
* Added versioned (build-)dependencies on libppi-perl and libtry-tiny-perl.
* Refreshed manpage-has-bad-whatis-entry.patch.
2012-03-08 - Florian Schlichting <fschlich@zedat.fu-berlin.de>
libppix-editortools-perl (0.15-1) unstable; urgency=low
[ Fabrizio Regalli ]
* New upstream release.
* Added myself to Uploaders and copyright.
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Florian Schlichting ]
* Added build-dependency on Test::More 0.88.
* Added manpage-has-bad-whatis-entry.patch.
* Bumped Standards-Version to 3.9.3 (use copyright-format 1.0).
* Added myself to Uploaders and copyright.
2011-04-24 - gregor herrmann <gregoa@debian.org>
libppix-editortools-perl (0.13-1) unstable; urgency=low
* New upstream release.
* debian/copyright: update list of upstream copyright holders, and years of
upstream and packaging copyright.
* Add /me to Uploaders.
* Bump debhelper compatibility level to 8.
* Set Standards-Version to 3.9.2 (no changes).
2010-12-24 - Jonathan Yu <jawnsy@cpan.org>
libppix-editortools-perl (0.11-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
+ Fix variable detection (e.g. loop variables) [RT#63107]
* Add build dependency on Test::Most
[ gregor herrmann ]
* debian/copyright: update information about copyright years and holders.
* debian/control: drop version from libtest-differences-perl build
dependency, already satisfied in lenny.
2010-10-06 - Jonathan Yu <jawnsy@cpan.org>
libppix-editortools-perl (0.10-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
* Drop versioned dep on PPI (1.203 is in stable)
* Use new 3.0 (quilt) source format
* Update to DEP5 copyright format
[ Ryan Niebur ]
* Update ryan52's email address
2009-09-20 - Jonathan Yu <jawnsy@cpan.org>
libppix-editortools-perl (0.09-1) unstable; urgency=low
* New upstream release
+ Allow variables to be renamed while the cursor is over its
declaration (Padre tickets 504 and 586)
* Added myself to Uploaders and Copyright
* Standards-Version 3.8.3 (drop perl version dependency)
2009-08-11 - Ryan Niebur <ryanryan52@gmail.com>
libppix-editortools-perl (0.08-1) unstable; urgency=low
* New upstream release
2009-07-12 - Ryan Niebur <ryanryan52@gmail.com>
libppix-editortools-perl (0.06-1) unstable; urgency=low
* Initial Release. (Closes: #536651)

See Also

Package Description
libppix-regexp-perl_0.036-1_all.deb module to parse regular expressions
libppix-utilities-perl_1.001000-1_all.deb Perl module containing extensions to PPI
libppl-c4_1.1-3+b1_amd64.deb Parma Polyhedra Library (C interface)
libppl-dev_1.1-3+b1_amd64.deb Parma Polyhedra Library (development)
libppl-doc_1.1-3_all.deb Parma Polyhedra Library: Documentation
libppl-swi_1.1-3+b1_amd64.deb Parma Polyhedra Library (SWI Prolog interface)
libppl13_1.1-3+b1_amd64.deb Parma Polyhedra Library (runtime library)
libpq-dev_9.4.18-0+deb8u1_amd64.deb header files for libpq5 (PostgreSQL library)
libpq5_9.4.18-0+deb8u1_amd64.deb PostgreSQL C client library
libpqtypes-dev_1.5.1-2_amd64.deb parameterized queries libpq extension - development
libpqtypes0_1.5.1-2_amd64.deb parameterized queries libpq extension - shared library
libpqxx-4.0_4.0.1+dfsg-3_amd64.deb C++ library to connect to PostgreSQL
libpqxx-dev_4.0.1+dfsg-3_amd64.deb C++ library to connect to PostgreSQL (development files)
libpqxx-doc_4.0.1+dfsg-3_all.deb C++ library to connect to PostgreSQL (documentation)
libpqxx3-dev_4.0.1+dfsg-3_all.deb Transitional dummy package for libpqxx-dev
Advertisement
Advertisement